import send_request from '../utils/send_request';

/**
 * 获取大门列表
 * @returns
 */
export function getGateList(params) {
    return send_request({
        url: '/access/gate/manage/getGateList',
        method: 'GET',
        params: params,
    });
};

/**
 * 添加/修改大门信息
 * @returns
 */
export function editGate(params) {
    return send_request({
        url: '/access/gate/manage/editGate',
        method: 'POST',
        useQS: true,
        params: params,
    });
};

/**
 * 删除大门
 * @returns
 */
export function deleteGate(params) {
    return send_request({
        url: '/access/gate/manage/deleteGate',
        method: 'POST',
        useQS: true,
        params: params,
    });
};

/**
 * 导出大门列表
 * @returns
 */
export function exportGateList(params) {
    return send_request({
        url: '/access/gate/manage/exportGateList',
        method: 'GET',
        params: params,
    });
};
